Jump to content

Probrem Z Repo Tora


Koen1
 Share

Recommended Posts

Witam

Z poniżej strony pobrałem kod repo

https://www.torproject.org/docs/rpms.html.en

 

utworzyłem plik w katalogu /etc/yum.repos.d/ o nazwie torproject.repo poniżej kod

[tor]
name=Tor experimental repo
enabled=1
baseurl=http://deb.torproject.org/torproject.org/rpm/DISTRIBUTION/$basearch/
gpgcheck=1
gpgkey=http://deb.torproject.org/torproject.org/rpm/RPM-GPG-KEY-torproject.org.asc
[tor-source]
name=Tor experimental source repo
enabled=1
autorefresh=0
baseurl=http://deb.torproject.org/torproject.org/rpm/DISTRIBUTION/SRPMS
gpgcheck=1
gpgkey=http://deb.torproject.org/torproject.org/rpm/RPM-GPG-KEY-torproject.org.asc

 

i jak chce zainstalować to ma takie coś napisane w konsoloi

Wczytane wtyczki: langpacks, presto, refresh-packagekit
http://deb.torproject.org/torproject.org/rpm/DISTRIBUTION/x86_64/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found : http://deb.torproject.org/torproject.org/rpm/DISTRIBUTION/x86_64/repodata/repomd.xml
Próbowanie innego serwera lustrzanego.
Błąd: failure: repodata/repomd.xml from tor: [Errno 256] No more mirrors to try.

co jest nie tak

Link to comment
Share on other sites

Na stronie która podales jest wyraznie napisane:

For Fedora 16, Fedora 17, RHEL 6 (and clones), use following repo file - substitute DISTRIBUTION with one of the following: fc/16, fc/17 or el/6 according to your distribution.
Link to comment
Share on other sites

Na stronie która podales jest wyraznie napisane:

 

Dzieki za bardzo szybka odpowiedz tak dzieki przeoczylem wpisywalem17 zamiast fc/17

repo dziala ale mam taki komunikat

Wczytane wtyczki: langpacks, presto, refresh-packagekit
tor																		  | 1.3 kB	 00:00	
tor-source																   | 1.3 kB	 00:00	
(1/2): tor-source/primary												    | 1.3 kB	 00:00	
(2/2): tor/primary														   | 1.9 kB	 00:00	
tor																							 2/2
tor-source																					  1/1
Rozwiazywanie zaleznosci
--> Wykonywanie sprawdzania transakcji
---> Pakiet tor.x86_64 0:0.2.2.37-1700.fc17 zostanie zaktualizowany
---> Pakiet tor.x86_64 0:0.2.3.22.rc-tor.1.rh17 zostanie zaktualizowany
--> Przetwarzanie konfliktów: tor-0.2.3.22.rc-tor.1.rh17.x86_64 jest w konflikcie z tor-lsb
--> Przetwarzanie konfliktów: tor-0.2.3.22.rc-tor.1.rh17.x86_64 jest w konflikcie z tor-core
--> Ukonczono rozwiazywanie zaleznosci
Blad: tor conflicts with tor-core-0.2.2.37-1700.fc17.x86_64
Blad: tor conflicts with tor-systemd-0.2.2.37-1700.fc17.noarch

czym to jest spowodowane

Link to comment
Share on other sites

Masz juz zainstalowany tor z oficjalnego repo fedory i te pakiety sa w konflikcie z paczkami z ropo tor, wiec jesli chcesz korzystac z ich repo wykonaj wpierw

yum remove tor*

po czym instalacja tor-a powinna przebiec prawidlowo.

Link to comment
Share on other sites

odinstalowanie , nawet z zaleznosciami nic nie dalo nie wiem co jest grane ale sama nazwa experimental repo w skazuje ze cos jest nie tak , wiadomo ze te repozytoria posiadaja nowsza beta generacje tora która pójdzie pewnie dopiero na fedorze 18 i jedna przestarzala wersje stabilna, czyli w lagodnym slowie repo nie dopracowane :angry:

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...